Index: scripts/missing
===================================================================
--- scripts/missing	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/missing	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,190 @@
+#! /bin/sh
+# Common stub for a few missing GNU programs while installing.
+# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+if test $# -eq 0; then
+  echo 1>&2 "Try \`$0 --help' for more information"
+  exit 1
+fi
+
+case "$1" in
+
+  -h|--h|--he|--hel|--help)
+    echo "\
+$0 [OPTION]... PROGRAM [ARGUMENT]...
+
+Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
+error status if there is no known handling for PROGRAM.
+
+Options:
+  -h, --help      display this help and exit
+  -v, --version   output version information and exit
+
+Supported PROGRAM values:
+  aclocal      touch file \`aclocal.m4'
+  autoconf     touch file \`configure'
+  autoheader   touch file \`config.h.in'
+  automake     touch all \`Makefile.in' files
+  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
+  flex         create \`lex.yy.c', if possible, from existing .c
+  lex          create \`lex.yy.c', if possible, from existing .c
+  makeinfo     touch the output file
+  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
+    ;;
+
+  -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
+    echo "missing - GNU libit 0.0"
+    ;;
+
+  -*)
+    echo 1>&2 "$0: Unknown \`$1' option"
+    echo 1>&2 "Try \`$0 --help' for more information"
+    exit 1
+    ;;
+
+  aclocal)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acinclude.m4' or \`configure.in'.  You might want
+         to install the \`Automake' and \`Perl' packages.  Grab them from
+         any GNU archive site."
+    touch aclocal.m4
+    ;;
+
+  autoconf)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`configure.in'.  You might want to install the
+         \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
+         archive site."
+    touch configure
+    ;;
+
+  autoheader)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acconfig.h' or \`configure.in'.  You might want
+         to install the \`Autoconf' and \`GNU m4' packages.  Grab them
+         from any GNU archive site."
+    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' configure.in`
+    test -z "$files" && files="config.h"
+    touch_files=
+    for f in $files; do
+      case "$f" in
+      *:*) touch_files="$touch_files "`echo "$f" |
+				       sed -e 's/^[^:]*://' -e 's/:.*//'`;;
+      *) touch_files="$touch_files $f.in";;
+      esac
+    done
+    touch $touch_files
+    ;;
+
+  automake)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
+         You might want to install the \`Automake' and \`Perl' packages.
+         Grab them from any GNU archive site."
+    find . -type f -name Makefile.am -print |
+	   sed 's/\.am$/.in/' |
+	   while read f; do touch "$f"; done
+    ;;
+
+  bison|yacc)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.y' file.  You may need the \`Bison' package
+         in order for those modifications to take effect.  You can get
+         \`Bison' from any GNU archive site."
+    rm -f y.tab.c y.tab.h
+    if [ $# -ne 1 ]; then
+        eval LASTARG="\${$#}"
+	case "$LASTARG" in
+	*.y)
+	    SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
+	    if [ -f "$SRCFILE" ]; then
+	         cp "$SRCFILE" y.tab.c
+	    fi
+	    SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
+	    if [ -f "$SRCFILE" ]; then
+	         cp "$SRCFILE" y.tab.h
+	    fi
+	  ;;
+	esac
+    fi
+    if [ ! -f y.tab.h ]; then
+	echo >y.tab.h
+    fi
+    if [ ! -f y.tab.c ]; then
+	echo 'main() { return 0; }' >y.tab.c
+    fi
+    ;;
+
+  lex|flex)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.l' file.  You may need the \`Flex' package
+         in order for those modifications to take effect.  You can get
+         \`Flex' from any GNU archive site."
+    rm -f lex.yy.c
+    if [ $# -ne 1 ]; then
+        eval LASTARG="\${$#}"
+	case "$LASTARG" in
+	*.l)
+	    SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
+	    if [ -f "$SRCFILE" ]; then
+	         cp "$SRCFILE" lex.yy.c
+	    fi
+	  ;;
+	esac
+    fi
+    if [ ! -f lex.yy.c ]; then
+	echo 'main() { return 0; }' >lex.yy.c
+    fi
+    ;;
+
+  makeinfo)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.texi' or \`.texinfo' file, or any other file
+         indirectly affecting the aspect of the manual.  The spurious
+         call might also be the consequence of using a buggy \`make' (AIX,
+         DU, IRIX).  You might want to install the \`Texinfo' package or
+         the \`GNU make' package.  Grab either from any GNU archive site."
+    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+    if test -z "$file"; then
+      file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
+      file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
+    fi
+    touch $file
+    ;;
+
+  *)
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.  Check the \`README' file,
+         it often tells you about the needed prerequirements for installing
+         this package.  You may also peek at any GNU archive site, in case
+         some other package would contain this missing \`$1' program."
+    exit 1
+    ;;
+esac
+
+exit 0
Index: scripts/mkbinutilspec
===================================================================
--- scripts/mkbinutilspec	(revision 1410dc36c7be2618992a5c1a6770ae8958bfe33f)
+++ scripts/mkbinutilspec	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -1,9 +1,47 @@
 #!/bin/sh 
 #
-#  Usage: mktoolspec CPU
+#  Usage: mkbinutilspec CPU
 #
 
 RTEMS_DIR=`dirname $0`
 
+CFG=user.cfg
+dst=/usr/src/packages/SPECS
+
+usage()
+{
+  echo "$0 [options] <target_alias>"
+  echo "  options:"
+  echo "    -cfg <user.cfg>"
+  echo "    -o <rpm-spec-dir>"
+  exit 1 ;
+}
+
+while test $# -ge 2; do
+case $1 in
+-cfg) 
+  shift
+  CFG=$1
+  shift
+  ;;
+-o)
+  shift
+  dst=$1
+  shift
+  ;;
+-*)
+  echo "invalid option $1";
+  usage
+  ;;
+esac
+done
+
+if test ! $# -eq 1;
+then
+  echo "Invalid number of arguments"
+  usage
+fi
+
+# target to build for
 target_alias=$1
 
@@ -11,21 +49,5 @@
 rpm_release=0
 
-# binutils version number
-binutils_version=990901
-binutils_patch_version=19991015
-
-# Some linux distributions use /usr/src/packages
-# redhat uses /usr/src/redhat
-# others might use /usr/src
-if test -d /usr/src/packages/SPECS; 
-then
-dst=/usr/src/packages/SPECS;
-elif test -d /usr/src/redhat/SPECS;
- then
-dst=/usr/src/redhat/SPECS;
-elif test -d /usr/src/SPECS/; 
-then
-dst=/usr/src/SPECS;
-fi
+. ./$CFG
 
 specfile=${dst}/$target_alias-binutils-${binutils_version}.spec
@@ -35,6 +57,6 @@
     -e "s%@binutils_version@%${binutils_version}%g" \
     -e "s%@binutils_patch_version@%${binutils_patch_version}%g" \
-< ${RTEMS_DIR}/binutils.spec.in \
+< ${RTEMS_DIR}/binutils/binutils.spec.in \
 > ${specfile}
 
-echo Generated ${specfile}.
+echo Generated ${specfile}
Index: scripts/mkbinutilspec.in
===================================================================
--- scripts/mkbinutilspec.in	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/mkbinutilspec.in	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,62 @@
+#!/bin/sh 
+#
+#  Usage: mkbinutilspec CPU
+#
+
+RTEMS_DIR=`dirname $0`
+
+CFG=user.cfg
+dst=@RPM_SPECSdir@
+
+usage()
+{
+  echo "$0 [options] <target_alias>"
+  echo "  options:"
+  echo "    -cfg <user.cfg>"
+  echo "    -o <rpm-spec-dir>"
+  exit 1 ;
+}
+
+while test $# -ge 2; do
+case $1 in
+-cfg) 
+  shift
+  CFG=$1
+  shift
+  ;;
+-o)
+  shift
+  dst=$1
+  shift
+  ;;
+-*)
+  echo "invalid option $1";
+  usage
+  ;;
+esac
+done
+
+if test ! $# -eq 1;
+then
+  echo "Invalid number of arguments"
+  usage
+fi
+
+# target to build for
+target_alias=$1
+
+# RPM release number
+rpm_release=0
+
+. ./$CFG
+
+specfile=${dst}/$target_alias-binutils-${binutils_version}.spec
+
+sed -e "s%@Release@%${rpm_release}%g" \
+    -e "s%@target_alias@%${target_alias}%g" \
+    -e "s%@binutils_version@%${binutils_version}%g" \
+    -e "s%@binutils_patch_version@%${binutils_patch_version}%g" \
+< ${RTEMS_DIR}/binutils/binutils.spec.in \
+> ${specfile}
+
+echo Generated ${specfile}
Index: scripts/mkgccnewlibspec
===================================================================
--- scripts/mkgccnewlibspec	(revision 1410dc36c7be2618992a5c1a6770ae8958bfe33f)
+++ scripts/mkgccnewlibspec	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -6,4 +6,42 @@
 RTEMS_DIR=`dirname $0`
 
+CFG=user.cfg
+dst=/usr/src/packages/SPECS
+
+usage()
+{
+  echo "$0 [options] <target_alias>"
+  echo "  options:"
+  echo "    -cfg <user.cfg>"
+  echo "    -o <rpm-spec-dir>"
+  exit 1 ;
+}
+
+while test $# -ge 2; do
+case $1 in
+-cfg) 
+  shift
+  CFG=$1
+  shift
+  ;;
+-o)
+  shift
+  dst=$1
+  shift
+  ;;
+-*)
+  echo "invalid option $1";
+  usage
+  ;;
+esac
+done
+
+if test ! $# -eq 1;
+then
+  echo "Invalid number of arguments"
+  usage
+fi
+
+# target to build for
 target_alias=$1
 
@@ -11,27 +49,8 @@
 rpm_release=0
 
-# gcc version number
-gcc_version=2.95.1
-gcc_patch_version=19991015
-
-# newlib version number
-newlib_version=1.8.2
-newlib_patch_version=19991015
-
-# Some linux distributions use /usr/src/packages
-# redhat uses /usr/src/redhat
-# others might use /usr/src
-if test -d /usr/src/packages/SPECS; 
-then
-dst=/usr/src/packages/SPECS;
-elif test -d /usr/src/redhat/SPECS;
- then
-dst=/usr/src/redhat/SPECS;
-elif test -d /usr/src/SPECS/; 
-then
-dst=/usr/src/SPECS;
-fi
+. ./$CFG
 
 specfile=${dst}/$target_alias-gcc-${gcc_version}-newlib-${newlib_version}.spec
+
 sed -e "s%@Release@%${rpm_release}%g" \
     -e "s%@target_alias@%${target_alias}%g" \
@@ -40,5 +59,5 @@
     -e "s%@newlib_version@%${newlib_version}%g" \
     -e "s%@newlib_patch_version@%${newlib_patch_version}%g" \
-< ${RTEMS_DIR}/gccnewlib.spec.in \
+< ${RTEMS_DIR}/gccnewlib/gccnewlib.spec.in \
 > ${specfile}
 
Index: scripts/mkgccnewlibspec.in
===================================================================
--- scripts/mkgccnewlibspec.in	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/mkgccnewlibspec.in	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,64 @@
+#!/bin/sh 
+#
+#  Usage: mktoolspec CPU
+#
+
+RTEMS_DIR=`dirname $0`
+
+CFG=user.cfg
+dst=@RPM_SPECSdir@
+
+usage()
+{
+  echo "$0 [options] <target_alias>"
+  echo "  options:"
+  echo "    -cfg <user.cfg>"
+  echo "    -o <rpm-spec-dir>"
+  exit 1 ;
+}
+
+while test $# -ge 2; do
+case $1 in
+-cfg) 
+  shift
+  CFG=$1
+  shift
+  ;;
+-o)
+  shift
+  dst=$1
+  shift
+  ;;
+-*)
+  echo "invalid option $1";
+  usage
+  ;;
+esac
+done
+
+if test ! $# -eq 1;
+then
+  echo "Invalid number of arguments"
+  usage
+fi
+
+# target to build for
+target_alias=$1
+
+# RPM release number
+rpm_release=0
+
+. ./$CFG
+
+specfile=${dst}/$target_alias-gcc-${gcc_version}-newlib-${newlib_version}.spec
+
+sed -e "s%@Release@%${rpm_release}%g" \
+    -e "s%@target_alias@%${target_alias}%g" \
+    -e "s%@gcc_version@%${gcc_version}%g" \
+    -e "s%@gcc_patch_version@%${gcc_patch_version}%g" \
+    -e "s%@newlib_version@%${newlib_version}%g" \
+    -e "s%@newlib_patch_version@%${newlib_patch_version}%g" \
+< ${RTEMS_DIR}/gccnewlib/gccnewlib.spec.in \
+> ${specfile}
+
+echo Generated ${specfile}.
Index: scripts/mkgdbspec
===================================================================
--- scripts/mkgdbspec	(revision 1410dc36c7be2618992a5c1a6770ae8958bfe33f)
+++ scripts/mkgdbspec	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -5,13 +5,9 @@
 
 RTEMS_DIR=`dirname $0`
+RTEMS_VERSION=`grep Version ${RTEMS_DIR}/../VERSION | \
+sed -e 's%RTEMS[ 	]*Version[ 	]*\(.*\)[ 	]*%\1%g'`
 
 target_alias=$1
-
-# RPM release number
-rpm_release=0
-
-# gdb version number
-gdb_version=4.18
-gdb_patch_version=19991015
+release=0
 
 # Some linux distributions use /usr/src/packages
@@ -29,12 +25,10 @@
 fi
 
-specfile=${dst}/$target_alias-gdb-${gdb_version}.spec
-
-sed -e "s%@Release@%${rpm_release}%g" \
-    -e "s%@target_alias@%${target_alias}%g" \
-    -e "s%@gdb_version@%${gdb_version}%g" \
-    -e "s%@gdb_patch_version@%${gdb_patch_version}%g" \
+sed -e "s%@Version@%${RTEMS_VERSION}%g" \
+-e "s%@bsp@%${bsp}%g" \
+-e "s%@Release@%${release}%g" \
+-e "s%@target_alias@%${target_alias}%g" \
 < ${RTEMS_DIR}/gdb.spec.in \
-> ${specfile}
+> ${dst}/$target_alias-gdb.spec
 
 case ${target} in
@@ -47,5 +41,5 @@
      ;;
   *) ;;
-esac >> ${specfile}
+esac >> ${dst}/$target_alias-gdb.spec
 
-echo Generated ${specfile}.
+echo Generated ${dst}/$target_alias-gdb.spec.
Index: scripts/mkinstalldirs
===================================================================
--- scripts/mkinstalldirs	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/mkinstalldirs	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id$
+
+errstatus=0
+
+for file
+do
+   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+   shift
+
+   pathcomp=
+   for d
+   do
+     pathcomp="$pathcomp$d"
+     case "$pathcomp" in
+       -* ) pathcomp=./$pathcomp ;;
+     esac
+
+     if test ! -d "$pathcomp"; then
+        echo "mkdir $pathcomp"
+
+        mkdir "$pathcomp" || lasterr=$?
+
+        if test ! -d "$pathcomp"; then
+  	  errstatus=$lasterr
+        fi
+     fi
+
+     pathcomp="$pathcomp/"
+   done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here
Index: scripts/mkspec
===================================================================
--- scripts/mkspec	(revision 1410dc36c7be2618992a5c1a6770ae8958bfe33f)
+++ scripts/mkspec	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -14,6 +14,6 @@
 #${RTEMS_DIR}/scripts/mkgccnewlibspec $target_alias
 #${RTEMS_DIR}/scripts/mkgdbspec $target_alias
-${RTEMS_DIR}/mkbinutilspec $target_alias
-${RTEMS_DIR}/mkgccnewlibspec $target_alias
-${RTEMS_DIR}/mkgdbspec $target_alias
+./mkbinutilspec $target_alias
+./mkgccnewlibspec $target_alias
+./mkgdbspec $target_alias
 
Index: scripts/rtems.spec.in
===================================================================
--- scripts/rtems.spec.in	(revision 1410dc36c7be2618992a5c1a6770ae8958bfe33f)
+++ scripts/rtems.spec.in	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -6,6 +6,4 @@
 # please send bugfixes or comments to joel@OARcorp.com
 #
-
-# neededforbuild  @target_alias@-binutils @target_alias@-gcc
 
 Vendor:       OAR Corporation
@@ -58,13 +56,25 @@
 %install
   make RTEMS_BSP=@bsp@ prefix=$RPM_BUILD_ROOT/opt/rtems/@target_alias@ install
-%files
-%dir /opt/rtems/@target_alias@/@bsp@
-/opt/rtems/@target_alias@/@bsp@/*
-/opt/rtems/@target_alias@/make/*
-/opt/rtems/@target_alias@/bin/install-if-change
-/opt/rtems/@target_alias@/bin/packhex
-/opt/rtems/@target_alias@/bin/unhex
-/opt/rtems/@target_alias@/bin/lock-directory
-/opt/rtems/@target_alias@/bin/unlock-directory
-/opt/rtems/@target_alias@/bin/eolstrip
-/opt/rtems/@target_alias@/bin/cklength
+  find $RPM_BUILD_ROOT/opt/rtems/@target_alias@/@bsp@ -type d | \
+    sed "s,^$RPM_BUILD_ROOT,%dir ,g" > files
+  find $RPM_BUILD_ROOT/opt/rtems/@target_alias@/@bsp@ -type f | \
+    sed "s,^$RPM_BUILD_ROOT,,g" >> files
+  find $RPM_BUILD_ROOT/opt/rtems/@target_alias@/make -type d | \
+    sed "s,^$RPM_BUILD_ROOT,%dir ,g" >> files
+  find $RPM_BUILD_ROOT/opt/rtems/@target_alias@/make -type f | \
+    sed "s,^$RPM_BUILD_ROOT,,g" >> files
+
+%post
+  if test "$RPM_INSTALL_PREFIX" != "/opt/";
+  then
+    if test -f $RPM_INSTALL_PREFIX/rtems/@target_alias@/make/target.cfg; 
+    then
+    sed -e 's,/opt/rtems/,$RPM_INSTALL_PREFIX/rtems,g' \
+      < $RPM_INSTALL_PREFIX/rtems/@target_alias@/make/target.cfg \
+      > $RPM_INSTALL_PREFIX/rtems/@target_alias@/make/target.cfg~
+    mv $RPM_INSTALL_PREFIX/rtems/@target_alias@/make/target.cfg~ \
+      $RPM_INSTALL_PREFIX/rtems/@target_alias@/make/target.cfg
+    fi
+  fi
+
+%files -f files
Index: scripts/setup
===================================================================
--- scripts/setup	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/setup	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+CFG=setup.cache
+
+# RTEMS tools setup
+
+test -f ./CFG || echo "restoring default setup.cache" && cp ./setup.def ./$CFG
+
+echo -n "loading setup from ./$CFG .."
+. ./$CFG
+echo "done"
+echo
+
+menu_setup()
+{
+while true;
+do
+  echo
+  echo "       Source packages setup"
+  echo
+  echo "1 binutils version        : $binutils_version"
+  echo "2 binutils patch version  : $binutils_patch_version"
+  echo "3 gcc version             : $gcc_version"
+  echo "4 gcc patch version       : $gcc_patch_version"
+  echo "5 newlib version          : $newlib_version"
+  echo "6 newlib patch version    : $newlib_patch_version"
+  echo "7 gdb version             : $gdb_version"
+  echo "8 gdb patch version       : $gdb_patch_version"
+  echo
+
+  echo -n "[1-8] or any other key to quit >"
+  read sel
+  case $sel in
+  1) echo -n "BINUTILS source >"
+     read binutils_version ;;
+  2) echo -n "BINUTILS patch version >"
+     read binutils_patch_version ;;
+  3) echo -n "GCC source >"
+     read gcc_version ;;
+  4) echo -n "GCC patch version>"
+     read gcc_patch_version ;;
+  5) echo -n "NEWLIB source >"
+     read newlib_version ;;
+  6) echo -n "NEWLIB patch version>"
+     read newlib_patch_version ;;
+  7) echo -n "GDB source >"
+     read GDB_SOURCE ;;
+  8) echo -n "GDB patch version>"
+     read gdb_patch_version ;;
+  *) 
+     return 0 ;;
+  esac
+done
+}
+
+
+save_setup()
+{
+echo -n "saving setup to $CFG .."
+
+echo "# RTEMS tools setup" > $CFG
+echo "binutils_version=$binutils_version" >> $CFG
+echo "binutils_patch_version=$binutils_patch_version" >> $CFG
+echo "newlib_version=$newlib_version" >> $CFG
+echo "newlib_patch_version=$newlib_patch_version" >> $CFG
+echo "gcc_version=$gcc_version" >> $CFG
+echo "gcc_patch_version=$gcc_patch_version" >> $CFG
+echo "gdb_version=$gdb_version" >> $CFG
+echo "gdb_patch_version=$gdb_patch_version" >> $CFG
+
+echo " done"
+test -f Makefile || ./configure
+}
+
+menu_setup
+
+echo
+echo -n "Save setup [y|n] >"
+read sel
+case $sel in
+''|y*|Y*) save_setup ;;
+*) ;;
+esac
Index: scripts/setup.cache
===================================================================
--- scripts/setup.cache	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/setup.cache	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,9 @@
+# RTEMS tools setup
+binutils_version=2.9.5
+binutils_patch_version=19991015
+newlib_version=1.8.2
+newlib_patch_version=19991015
+gcc_version=2.95.1
+gcc_patch_version=19991015
+gdb_version=4.18
+gdb_patch_version=19991015
Index: scripts/setup.def
===================================================================
--- scripts/setup.def	(revision 10629f743599b259f03b74a376cf71f321469e0c)
+++ scripts/setup.def	(revision 10629f743599b259f03b74a376cf71f321469e0c)
@@ -0,0 +1,9 @@
+# RTEMS tools setup
+binutils_version=2.9.5
+binutils_patch_version=19991015
+newlib_version=1.8.2
+newlib_patch_version=19991015
+gcc_version=2.95.1
+gcc_patch_version=19991015
+gdb_version=4.18
+gdb_patch_version=19991015
